RegistryFactory
Date: 2014-06-19

org.gcube.informationsystem.registry.impl.porttypes

## Class RegistryFactory

- java.lang.Object
- - GCUBEPortType
  - - org.gcube.informationsystem.registry.impl.porttypes.RegistryFactory

-     public class RegistryFactory
      extends GCUBEPortType

  Implementation of the Registry Factory portType
  Author:
    Lucio Lelii, Manuele Simi (ISTI-CNR)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NOTIFICATOR_RESOURCE_KEY` the key used to label the Factory Resource

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistryFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `createResource(CreateResourceMessage mess)` Creates a new `ProfileResource` and registers the `GCUBEResource` in the IS-IC
    `RemoveResourceResponse` | `removeResource(RemoveResourceMessage mess)` Removes a Resource profile identified by the given the resource ID
    `UpdateResourceResponse` | `updateResource(UpdateResourceMessage mess)` Updates a `GCUBEResource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOTIFICATOR_RESOURCE_KEY

          public static final java.lang.String NOTIFICATOR_RESOURCE_KEY

      the key used to label the Factory Resource
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RegistryFactory

          public RegistryFactory()

  - ### Method Detail

    - #### createResource

          public java.lang.String createResource(CreateResourceMessage mess)
                                          throws SchemaValidationFault,
                                                 java.rmi.RemoteException,
                                                 ProfileAlreadyRegisteredFault,
                                                 ResourceNotAcceptedFault

      Creates a new `ProfileResource` and registers the `GCUBEResource` in the IS-IC
      Parameters:
        `inputMessage` - defined in the WSDL
      Returns:
        the registered profile
      Throws:
        `SchemaValidationException` - if the string serialization of the resource is not valid
        `ResourceNotAcceptedFault` - it the resource is rejected when evaluating the resources' filters
        `java.rmi.RemoteException`
        `ProfileAlreadyRegisteredFault`
        `SchemaValidationFault`

    - #### updateResource

          public UpdateResourceResponse updateResource(UpdateResourceMessage mess)
                                                throws java.rmi.RemoteException,
                                                       SchemaValidationFault,
                                                       ResourceNotAcceptedFault,
                                                       GCUBEFault

      Updates a `GCUBEResource`
      Parameters:
        `mess` - Complex Object that contains a String representing the XML profile to update and the diligentID
      Returns:
        UpdateResourceResponse
      Throws:
        `java.rmi.RemoteException` - Exception
        `SchemaValidationException` - if the string serialization of the resource is not valid
        `ResourceNotAcceptedFault` - it the resource is rejected when evaluating the resources' filters
        `SchemaValidationFault`
        `GCUBEFault`

    - #### removeResource

          public RemoveResourceResponse removeResource(RemoveResourceMessage mess)
                                                throws java.rmi.RemoteException,
                                                       GCUBEFault

      Removes a Resource profile identified by the given the resource ID
      Parameters:
        `inputMessage` - defined into WSDL file
      Returns:
        RemoveResourceResponse
      Throws:
        `java.rmi.RemoteException`
        `GCUBEFault`